%define name	lexed
%define version	4.3.3
%define release	1mdk
%define major	4
%define libname %mklibname %{name} %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Lexicon analyser
Source:		%{name}-%{version}.tar.bz2
URL:		http://atoll.inria.fr/~lclement/lexed-main.html
License:	GPL
Group:		Sciences/Computer science
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Lexed is a program which relates items to strings for indexation, lemmatisation
and so on. It has been designed to work as a daemon.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libname}-devel
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
This package contains the headers that programmers will need to develop
applications which will use %{name}.


%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYRIGHT INSTALL NEWS README doc/*.html
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_bindir}/%{name}-config
%{_includedir}/*
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/*.so
%{_datadir}/aclocal/*

%changelog
* Mon Mar 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.3.3-1mdk
- 4.3.3

* Mon Feb 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.3.2-1mdk
- 4.3.2

* Thu Jan 08 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.3.1-2mdk
- changed url
- lexed-config in devel package

* Mon Jan 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 4.3.1-1mdk
- first mdk release
